{% extends "base.html" %}


{% block content %}
  <h1>Location: {{ location.name }}</h1>
  <p><i>{{ location.description }}</i></p>
  <p>Parent:
    {% if location.get_parent %}
      <a href="{{ location.get_parent.get_absolute_url }}">{{ location.get_parent }}</a>
    {% else %}
      None
    {% endif %}
  </p>
  <p>Children:
    {% if location.get_children.count > 0 %}
      {% for children in location.get_children %}
        <a href="{{ children.get_absolute_url }}">{{ children.name }}</a>
      {% endfor %}
    {% else %}
      None
    {% endif %}
  </p>
  <div class="d-flex justify-content-start mt-5">
    <a href="{% url 'location-update' location.id %}" class="btn btn-outline-primary"><i class="bi-x-lg"></i> Edit</a>
  </div>
{% endblock content %}
